﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace ScheduleViewUpdateResources
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.DataContext = new ViewModel();
		}
	}

	public class ViewModel : ViewModelBase
	{
		

		public ObservableCollection<ResourceType> ResourceTypes { get; set; }
	
		public ICommand AddResourceCommand { get; set; }

	
		public ViewModel()
		{
			var locationRes = new ResourceType("Location");
			
				locationRes.Resources.Add( new Resource("Room1"));
				locationRes.Resources.Add(new Resource("Room2"));
				locationRes.Resources.Add(new Resource("Room3"));
			

			
			this.ResourceTypes = new ObservableCollection<ResourceType>() { locationRes };

			this.AddResourceCommand = new DelegateCommand(AddResourceCommandExecute);
			
		}

		protected void AddResourceCommandExecute(object param)
		{
			var locationResType = this.ResourceTypes.First();
			
			locationResType.Resources.Add(new Resource("Room4"));
			ResourceTypes.Remove(locationResType);
			ResourceTypes.Add(locationResType);
		}
	}
}
